'use strict';

module.exports = function (environment) {
  let ENV = {
    modulePrefix: 'gwt-frontend',
    environment,
    rootURL: '/',
    locationType: 'auto',
    EmberENV: {
      FEATURES: {
        // Here you can enable experimental features on an ember canary build
        // e.g. EMBER_NATIVE_DECORATOR_SUPPORT: true
      },
      EXTEND_PROTOTYPES: {
        // Prevent Ember Data from overriding Date.parse.
        Date: false,
      },
    },

    APP: {
      // Here you can pass flags/options to your application instance
      // when it is created
    },
    contentSecurityPolicy: {
      'default-src': "'self' backend.bibletranslationtools.org",
      'script-src': "'self'",
      'font-src': "'self' fonts.googleapis.com fonts.gstatic.com",
      'connect-src': "'self' backend.bibletranlationtools.org",
      'img-src': "self",
      'style-src': "self",
      'media-src': "self"
    }
  };

  if (environment === 'development') {
    // ENV.APP.LOG_RESOLVER = true;
    // ENV.APP.LOG_ACTIVE_GENERATION = true;
    ENV.APP.LOG_TRANSITIONS = true;
    ENV.APP.LOG_TRANSITIONS_INTERNAL = true;
    // ENV.APP.LOG_VIEW_LOOKUPS = true;
    ENV.APP.hostUrl = 'http://gwt.api';
  }

  if (environment === 'test') {
    // Testem prefers this...
    ENV.locationType = 'none';

    // keep test console output quieter
    ENV.APP.LOG_ACTIVE_GENERATION = false;
    ENV.APP.LOG_VIEW_LOOKUPS = false;

    ENV.APP.rootElement = '#ember-testing';
    ENV.APP.autoboot = false;
  }

  if (environment === 'production') {
    // here you can enable a production-specific feature
    ENV.APP.hostUrl = 'http://backend.bibletranslationresources.org';
  }

  if (environment === 'staging') {
    ENV.APP.hostUrl = 'http://backend.bibletranslationresources.org';
    ENV.APP.rootURL = 'http://bibletranslationresources.org/test/current/';
    ENV.APP.baseUrl = 'http://bibletranslationresources.org/test/current/';
    ENV.APP.locationType = 'hash';
  }

  return ENV;
};
